/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef REALQE65000DRIVER_H_
#define REALQE65000DRIVER_H_

#include "QE65000State.h"

namespace oceanoptics {

class RealQE65000Driver : public QE65000State {

public:
	RealQE65000Driver(QE65000Driver* owner);
	virtual ~RealQE65000Driver();

	virtual void init();

	virtual void measure();

	virtual void stop();

	virtual void readStatus();

private:
	void setIntegrationTime(int64 deviceID, int32 integrationTime);
	void getFormattedSpectrum(int64 deviceID);
	void getUnFormattedSpectrum(int64 deviceID);
	void getWavelength(int64 deviceID);
	void setShutter(int64 deviceID);
	void test();

};

}
#endif /* REALQE65000DRIVER_H_ */
